%global namedreltag -20120112
%global namedversion %{version}%{?namedreltag}
Name:          langdetect
Version:       1.1
Release:       0.10.20120112%{?dist}
Summary:       Language Detection Library for Java
License:       ASL 2.0
URL:           https://github.com/shuyo/language-detection
Source0:       http://repo1.maven.org/maven2/com/cybozu/labs/%{name}/%{namedversion}/%{name}-%{namedversion}-sources.jar
Source1:       http://repo1.maven.org/maven2/com/cybozu/labs/%{name}/%{namedversion}/%{name}-%{namedversion}.pom
# langdetect package don't include the license file
# reported @ http://code.google.com/p/language-detection/issues/detail?id=57
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.arnx:jsonic)

BuildArch:     noarch

%description
Langdetect is a language detection library implemented in plain Java.
It uses Bayesian filters generated from language samples retrieved from
Wikipedia to guess the language of text, achieving accuracy above 99%.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c

# fixing incomplete source directory structure
mkdir -p src/main/{java,resources}

unzip -qq %{SOURCE0}
rm -rf META-INF
mv com src/main/java/
mv profiles* src/main/resources/

# clone source directory structure
find src/main/java/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:src/main/resources:g"`
  mkdir -p $newdirname
done

# copy everything except *.java sources
find src/main/java/ -type f | grep -v "\.java" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:src/main/resources:g"`
  cp $cpfrom $cpto
done

cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file : %{name}

%build

# No tests to run
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.10.20120112
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.9.20120112
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.8.20120112
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.7.20120112
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 gil cattaneo <puntogil@libero.it> 1.1-0.6.20120112
- fix Url tag

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 1.1-0.5.20120112
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.4.20120112
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.1-0.3.20120112
- Use Requires: java-headless rebuild (#1067528)

* Wed Dec 04 2013 gil cattaneo <puntogil@libero.it> 1.1-0.2.20120112
- used suggested description (1005796#c2)

* Wed Jan 30 2013 gil cattaneo <puntogil@libero.it> 1.1-0.1.20120112
- initial rpm
